Skip to content
GetmeDocs
Sign inCreate account

Getting started

  • Getme developer documentation

API Reference

  • Introduction
  • Authentication
  • Errors
  • Idempotent requests
  • Metadata
  • Pagination
  • Request IDs
  • Versioning
  • Webhooks
  • Event Catalog
  • SDKs and CLI

Core Resources

  • Auth
  • Events

Site Resources

  • Forms
  • Sites

Commerce Resources

  • Brands
  • Categories
  • Products
  • Services

Crm Resources

  • Customers

Other Resources

  • Media

Dev Tools

  • CLIBeta
  • Website source with the CLIBeta
  • Webhooks with the CLIBeta
  • SDKsBeta
  • Node SDKBeta
  • Python SDKBeta

Guides

  • Guides
  • Quickstart
  • Website source workflow
  • Webhook handler

Changelog

  • Changelog
  • June 10, 2026 - Developer platform docs beta
  • July 15, 2026 - Install token lifecycle safety
  • July 15, 2026 - Source-first site development
  • July 15, 2026 - Site source navigation warnings
Loading documentation...
HomeAPI referenceEvents

Events

Core Resources · 1 endpoints

GET/v1/events

List Events

app_install_bearerscope: webhooks:read

Returns · 200

FieldTypeRequiredDescription
dataPublicEventCatalogObjectrequired
data.environmentstringrequired
data.eventsstring[]optional
data.objectstringoptionalevent_catalog
data.resourcesPublicEventResourceObject[]optional
data.resources[].namestringrequired
data.resources[].objectstringoptionaldeveloper_resource
data.resources[].route_countintegerrequired
data.resources[].scopesstring[]optional
data.scopesstring[]optional
data.webhook_eventsPublicWebhookEventDescriptor[]optional
data.webhook_events[].deprecated_atstringoptional
data.webhook_events[].descriptionstringoptional
data.webhook_events[].domainstringrequired
data.webhook_events[].example_payload_refstringoptional
data.webhook_events[].lifecyclestringoptionalstable, beta, deprecated
data.webhook_events[].namestringrequired
data.webhook_events[].payload_schema_refstringoptional
data.webhook_events[].scopesstring[]optional
data.webhook_events[].versionstringrequired
successbooleanrequiredtrue

Errors 400401403404409422429500

cURL
curl https://api.getmeonline.io/v1/events \
  -H "Authorization: Bearer $GETME_API_KEY"

On this page

  • List Events